## com.declarativa.interprolog.gui
Class XSBTableModel

    java.lang.Object
      |
      +--com.declarativa.interprolog.gui.TermTreeModel
            |
            +--com.declarativa.interprolog.gui.XSBTableModel

All Implemented Interfaces:
  Serializable

public class XSBTableModel
extends TermTreeModel

Swing model for full contents of a XSB table

See Also:
  Serialized Form

Constructor Summary
`XSBTableModel(TermModel root, TermTreeModel[] children, String state)`

Method Summary
`static ObjectExamplePair` `example()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSBTableModel

    public XSBTableModel(TermModel root,
                         TermTreeModel[] children,
                         String state)

Method Detail

### example

    public static ObjectExamplePair example()